<?xml version="1.0" encoding="UTF-8"?>
<grammar ns="http://www.suse.com/1.0/yast2ns" xmlns="http://relaxng.org/ns/structure/1.0">
  <include href="common.rng"/>
  <include href="includes.rng"/>
  <define name="profile">
    <element name="profile">
      <interleave>
        <optional>
          <element name="configure">
            <interleave>
              <optional>
                <ref name="files"/>
              </optional>
              <optional>
                <ref name="scripts"/>
              </optional>
            </interleave>
          </element>
        </optional>
        <optional>
          <element name="install">
            <interleave>
              <optional>
                <ref name="software"/>
              </optional>
              <optional>
                <ref name="general"/>
              </optional>
            </interleave>
          </element>
        </optional>
      </interleave>
    </element>
  </define>
  <start>
    <ref name="profile"/>
  </start>
</grammar>
